html {
    scroll-behavior: smooth;
    scroll-padding-top: 20px;
}

body.is-hide {
    margin: 0;
    opacity: 0;
}

body {
    opacity: 1;

    transition: 1s ease;
    background-color: var(--bg-color);

    font-size: 16px;
    font-family: "Noto Sans JP", sans-serif;

    margin: 0;
}

main {
    width: 90%;
    min-width: 300px;
    max-width: 800px;
    margin: 0 auto;

    position: relative;
}

section {
    margin-bottom: 100px;
    position: relative;
}

h1 {
    font-family: "M PLUS 1p", sans-serif;
    font-size: 1.5em;
    color: var(--h1-color);
}

h2 {
    font-family: "Bellota", system-ui;

    font-size: 5em;
    text-align: center;
    color: var(--h-color);

    margin-bottom: 0;
}

button {
    background-color: transparent;
    border: none;
    cursor: pointer;
    outline: none;
    padding: 0;
    appearance: none;
}

img {
    width: 100%;
}

a {
    color: var(--link-text-color);
}

/*header*/
header {
    margin-bottom: 32px;
    padding: 0 25px;
}

.site-title {
    text-align: right;
}


/*works*/
.category-buttons {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}

button.category-btn {
    border: 1px solid var(--button-border-color);
    background-color: var(--button-bg-color);
    color: var(--button-text-color);
    border-radius: 30px;
    padding: 5px 20px;
    font-size: 0.8em;
}

button.category-btn.active {
    border: 1px solid var(--button-border-color-active);
    background-color: var(--button-bg-color-active);
    color: var(--button-text-color-active);
    border-radius: 30px;
    padding: 5px 20px;
    font-size: 0.8em;
}

.grid-container {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    gap: 15px;
    margin: 25px 0;
    justify-items: center;

    @media (max-width: 768px) {
        grid-template-columns: 1fr 1fr;
    }
}

.work-item {
    max-width: 300px;
    opacity: 0;
    transform: translateY(20px);
}

.work-item.show {
    opacity: 1;
    transform: translateY(0);
    transition: opacity 0.5s ease, transform 0.5s ease;
}

.works-item-thumbnail {
    width: 100%;
    aspect-ratio: 1 / 1;
    object-fit: cover;
    object-position: top;
    display: block;
    border-radius: 10px;
    transition: border-radius 0.4s ease, transform 0.4s ease;
}

.glightbox:hover .works-item-thumbnail {
    border-radius: 40px;
    transform: scale(0.95)
}

.gslide-image img {
    max-width: 90%;
}

/*contact*/
.profile-icon {
    width: 150px;
    height: 150px;
    margin: 0 auto;
}

.profile-icon img {
    border-radius: 50%;
    margin: 0 auto 20px;
    width: 100%;
    aspect-ratio: 1 / 1;
    object-fit: cover;
    object-position: center;
}

.profile-name {
    text-align: center;
    font-size: 1.2em;
}

.profile-text {
    max-width: 400px;
    margin: 0 auto;
    line-height: 2;
    background-image: linear-gradient(transparent 95%, var(--h-color) 95%);
    background-size: 100% 2.0em;
    background-attachment: local;
    background-repeat: repeat-y;
    background-position: top left;
}

.button-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 10px;
    margin-bottom: 40px;
}

.custom-link-btn {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 50px;
    max-width: 300px;
    border: 1px solid;
    border-radius: 50px;

    color: var(--button-text-color-active);
    background-color: var(--button-bg-color-active);
    text-decoration: none;

    transition: 0.2s ease;

    position: relative;
}

.custom-link-btn::after {
    position: absolute;
    font-family: "Font Awesome 7 Free";
    font-weight: 900;
    content: "\f054";
    right: 20px;

    transition: 0.2s ease;
}

.custom-link-btn:hover {
    background-color: var(--button-bg-color);
    color: var(--button-text-color);
}

.custom-link-btn:hover::after {
    right: 15px;
}

/*footer*/

footer {
    text-align: center;
    margin: 0 auto;

    font-size: 12px;
    padding: 20px;

    background-color: var(--footer-color);
    color: var(--footer-text-color);
}

nav.footer-nav {
    position: sticky;
    bottom: 0;
    z-index: 9999;
    padding: 10px 20px;
    background-color: var(--bg-color);
}

.footer-nav ul {
    display: flex;
    gap: 15px;
    justify-content: flex-end;
    list-style: none;
    margin: 0;
}

.footer-nav ul li a {
    text-decoration: none;
    color: var(--text-color);
}

.footer-nav ul li a:hover {
    color: var(--link-color-hover);
}

.template {
    opacity: 0.5;
    font-size: 0.8em;

    a {
        color: var(--footer-text-color);
    }
}


/*スクロールアニメーション*/
.fade-in {
    opacity: 0;
    transform: translateY(20px);
    transition: opacity 0.8s ease-out, transform 0.8s ease-out;
}

.fade-in.is-visible {
    opacity: 1;
    transform: translateY(0);
}